---
name: React Native Windows Bug Report
about: File a bug report
title: Describe the problem
labels: bug
assignees: ''

---

### Environment

<!--
  Please fill in all the relevant fields by running these commands in terminal.
-->
If you are using latest version:
1. `react-native -v`:
2. `react-native run-windows --info`:
3. `reg query "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\AppModelUnlock"`

Otherwise if `--info` doesn't exist:
1. `react-native -v`:
3. `npm ls react-native-windows`:
4. `node -v`:
5. `npm -v`:
6. `yarn --version`<!-- (if you use Yarn) -->:

Then, specify:

<!-- (What SDK version are you building for? Choose from 10.0.15063, 10.0.16299, 10.0.18362, etc. -->
- Target Platform Version(s):

<!-- (What device(s) are you targeting? Choose any from Desktop, Xbox, Hololens) -->
- Target Device(s):

<!-- Which version of Visual Studio are you using? Specify Visual Studio 2017 or Visual Studio 2019 -->
- Visual Studio Version:

<!-- Which build configuration are you running? Choose from Debug, DebugBundle, Release, ReleaseBundle -->
- Build Configuration:

### Steps to Reproduce

<!--
  How would you describe your issue to someone who doesn’t know you or your project?
  Try to write a sequence of steps that anybody can repeat to see the issue.
  Be specific! If the bug cannot be reproduced, your issue may be closed.
-->

(Write your steps here:)

1.
2.
3.

### Expected Behavior

<!--
  How did you expect your project to behave?
  It’s fine if you’re not sure your understanding is correct.
  Just write down what you thought would happen.
-->

(Write what you thought would happen.)

### Actual Behavior

<!--
  Did something go wrong?
  Is something broken, or not behaving as you expected?
  Describe this section in detail, and attach screenshots if possible.
  Don't just say "it doesn't work"!
-->

(Write what happened. Add screenshots!)

### react-native run-windows --logging

<!--
  If you see build failure on `react-native run-windows`, please try again with 'react-native run-windows --logging' and provide the output.
-->

### Reproducible Demo

<!--
  Please share a project that reproduces the issue.
  There are two ways to do it:

    * Create a new app using https://snack.expo.io/ and try to reproduce the issue in it.
      This is useful if you roughly know where the problem is, or can’t share the real code.

    * Or, copy your app and remove things until you’re left with the minimal reproducible demo.
      This is useful for finding the root cause. You may then optionally create a Snack.

  This is a good guide to creating bug demos: https://stackoverflow.com/help/mcve
  Once you’re done, copy and paste the link to the Snack or a public GitHub repository below:
-->

(Paste the link to an example project and exact instructions to reproduce the issue.)

### Additional context

(Write any other additional context that may help in root causing the issue.)
