<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@office-iss/react-native-win32](./react-native-win32.md)

## react-native-win32 package

This package provides Win32 specific components and provides JS implementations for some react-native primitives Cross platform React-native primitives should be imported from 'react-native' Win32 specific components need to be imported from '<!-- -->@<!-- -->office-iss/react-native-win32'

## Classes

|  Class | Description |
|  --- | --- |
|  [ButtonWin32](./react-native-win32.buttonwin32.md) | React-native <Button> control with additional Win32-specific functionality. |
|  [FocusManager](./react-native-win32.focusmanager.md) |  |
|  [TextWin32](./react-native-win32.textwin32.md) |  |
|  [TouchableWin32](./react-native-win32.touchablewin32.md) | TouchableWin32 is a 'componentization' of the Touchable Mixin in React Native. This means that instead of implementing components such as TouchableHighlight via the mixin, they are merely implemented as wrappers around TouchableWin32, forwarding the correct set of props. Additionally, TouchableWin32 supports hover via onMouseEnter and onMouseLeave and focus/blur via onFocus/onBlur. TouchableWin32 also allows for functions as child components (that use the internal state of the touchable to conditionally render children) as well functions as styles (that use internal state to conditionally calculate styles) |

## Enumerations

|  Enumeration | Description |
|  --- | --- |
|  [EventPhase](./react-native-win32.eventphase.md) |  |
|  [PersonaCoinPresence](./react-native-win32.personacoinpresence.md) |  |
|  [PersonaCoinSize](./react-native-win32.personacoinsize.md) |  |

## Interfaces

|  Interface | Description |
|  --- | --- |
|  [IButtonWin32Props](./react-native-win32.ibuttonwin32props.md) |  |
|  [IButtonWin32Style](./react-native-win32.ibuttonwin32style.md) |  |
|  [IDimensions](./react-native-win32.idimensions.md) | Describes the height and width of a control |
|  [INativeKeyboardEvent](./react-native-win32.inativekeyboardevent.md) |  |
|  [IPersonaCoinProps](./react-native-win32.ipersonacoinprops.md) |  |
|  [IPosition](./react-native-win32.iposition.md) | Describes the position at which an event occurred |
|  [IPressInLocation](./react-native-win32.ipressinlocation.md) | Describes both the global and relative position of a press |
|  [IResponderSyntheticEvent](./react-native-win32.irespondersyntheticevent.md) | More fully defines an event by augmenting touchHistory |
|  [ITextWin32Props](./react-native-win32.itextwin32props.md) |  |
|  [ITouchableWin32Props](./react-native-win32.itouchablewin32props.md) |  |
|  [ITouchableWin32State](./react-native-win32.itouchablewin32state.md) |  |
|  [ITouchInfo](./react-native-win32.itouchinfo.md) | Describes a touch |
|  [IViewWin32](./react-native-win32.iviewwin32.md) |  |
|  [IViewWin32Props](./react-native-win32.iviewwin32props.md) | Properties for ViewWin32 component |

## Variables

|  Variable | Description |
|  --- | --- |
|  [ColorGradientWin32](./react-native-win32.colorgradientwin32.md) | Creates a color value that renders using a grandient brush. This can be used to provide a value to most components that take a standard color value. |
|  [PersonaCoin](./react-native-win32.personacoin.md) |  |
|  [ViewWin32](./react-native-win32.viewwin32.md) |  |

## Type Aliases

|  Type Alias | Description |
|  --- | --- |
|  [AccessibilityActionEvent](./react-native-win32.accessibilityactionevent.md) |  |
|  [AccessibilityActionInfo](./react-native-win32.accessibilityactioninfo.md) |  |
|  [AccessibilityActionName](./react-native-win32.accessibilityactionname.md) |  |
|  [AccessibilityAnnotationInfo](./react-native-win32.accessibilityannotationinfo.md) |  |
|  [AccessibilityState](./react-native-win32.accessibilitystate.md) |  |
|  [AnnotationType](./react-native-win32.annotationtype.md) |  |
|  [ARIARole](./react-native-win32.ariarole.md) |  |
|  [BasePropsWin32](./react-native-win32.basepropswin32.md) |  |
|  [ButtonWin32OmitStyles](./react-native-win32.buttonwin32omitstyles.md) |  |
|  [Cursor](./react-native-win32.cursor.md) |  |
|  [GradientColorStop](./react-native-win32.gradientcolorstop.md) | A color stop within a gradient. The values can either be other color values such as 'red', or a value thats already gone through processColor Note: Currently we only support color stops from 0 to 1. (Where 0 is the gradient start, 1 is gradient end) |
|  [GradientColorValueWin32](./react-native-win32.gradientcolorvaluewin32.md) | Specifies the direction the gradient is in, and a list of color stops for the gradient. Note: Currently we only support 2 color stops |
|  [IChildAsFunction](./react-native-win32.ichildasfunction.md) | Used by IRenderChild, it simply describes a function that takes some generic state type T and returns a ReactNode |
|  [IHandledKeyboardEvent](./react-native-win32.ihandledkeyboardevent.md) |  |
|  [IKeyboardEvent](./react-native-win32.ikeyboardevent.md) |  |
|  [IPressEvent](./react-native-win32.ipressevent.md) | This encompasses all information used by TouchableWin32 based controls during callbacks and in response to press events |
|  [IRenderChild](./react-native-win32.irenderchild.md) | An IRenderChild describes children as a function that take the current state of the parent component. It is up to the parent to invoke the function and make proper use of the more typical ReactNode object that is returned This is an especially helpful construct when children of a Touchable require knowledge of the interaction state of their parent to properly render themselves (e.g. foreground color of a text child) |
|  [IRenderStyle](./react-native-win32.irenderstyle.md) | An IRenderStyle describes style as a function that takes the current state of the parent component. It is up to the parent to invoke the function and make proper use of the more typical StyleProp<S> object that is returned This is convenient for when styles need to be calculated depending on interaction states. |
|  [ISignal](./react-native-win32.isignal.md) | Signals into the gesture responder system |
|  [IState](./react-native-win32.istate.md) | Gesture responder states |
|  [IStateConditions](./react-native-win32.istateconditions.md) | Describes lookup maps of states meeting some specified criteria |
|  [ITransitions](./react-native-win32.itransitions.md) | Map of State to \[Signal to State\], describing state transition maps |
|  [OmittedAccessibilityPropsWin32](./react-native-win32.omittedaccessibilitypropswin32.md) |  |
|  [SharedAccessibilityPropsIOSandWin32](./react-native-win32.sharedaccessibilitypropsiosandwin32.md) |  |
|  [SharedTextPropsAndroidandWin32](./react-native-win32.sharedtextpropsandroidandwin32.md) |  |
|  [TextStyle](./react-native-win32.textstyle.md) | Role-based text style names. |
|  [TextWin32OmitTypes](./react-native-win32.textwin32omittypes.md) |  |
|  [UseFrom](./react-native-win32.usefrom.md) | All of TOrigin except Key from TUse |
|  [ViewWin32](./react-native-win32.viewwin32.md) |  |
|  [ViewWin32OmitTypes](./react-native-win32.viewwin32omittypes.md) |  |

