## API Report File for "@office-iss/react-native-win32"

> Do not edit this file. It is a report generated by [API Extractor](https://api-extractor.com/).

```ts

import { GestureResponderEvent } from 'react-native';
import { Insets } from 'react-native';
import { NativeSyntheticEvent } from 'react-native';
import * as React_2 from 'react';
import RN = require('react-native');
import { StyleProp } from 'react-native';
import { View } from 'react-native';
import { ViewProps } from 'react-native';
import { ViewStyle } from 'react-native';

// @public (undocumented)
export type AccessibilityActionEvent = RN.NativeSyntheticEvent<Readonly<{
    actionName: string;
}>>;

// @public (undocumented)
export type AccessibilityActionInfo = Readonly<{
    name: AccessibilityActionName;
    label?: string;
}>;

// @public (undocumented)
export type AccessibilityActionName = RN.AccessibilityActionName | 'AddToSelection' | 'RemoveFromSelection' | 'Select' | 'Expand' | 'Collapse';

// @public (undocumented)
export type AccessibilityAnnotationInfo = Readonly<{
    typeID: AnnotationType;
    typeName?: string;
    author?: string;
    dateTime?: string;
    target?: string;
}>;

// @public (undocumented)
export type AccessibilityState = RN.AccessibilityState & {
    multiselectable?: boolean;
    required?: boolean;
};

// @public (undocumented)
export type AnnotationType = 'AdvanceProofingIssue' | 'Author' | 'CircularReferenceError' | 'Comment' | 'ConflictingChange' | 'DataValidationError' | 'DeletionChange' | 'EditingLockedChange' | 'Endnote' | 'ExternalChange' | 'Footer' | 'Footnote' | 'FormatChange' | 'FormulaError' | 'GrammarError' | 'Header' | 'Highlighted' | 'InsertionChange' | 'Mathematics' | 'MoveChange' | 'SpellingError' | 'TrackChanges' | 'Unknown' | 'UnsyncedChange';

// @public (undocumented)
export type ARIARole = 'alert' | 'alertdialog' | 'application' | 'button' | 'checkbox' | 'combobox' | 'dialog' | 'group' | 'link' | 'menu' | 'menubar' | 'menuitem' | 'none' | 'presentation' | 'progressbar' | 'radio' | 'radiogroup' | 'scrollbar' | 'search' | 'spinbutton' | 'switch' | 'tab' | 'tablist' | 'tabpanel' | 'textbox' | 'timer' | 'toolbar' | 'tree' | 'treeitem';

// @public (undocumented)
export type BasePropsWin32 = {
    accessibilityRole?: RN.AccessibilityRole | ARIARole;
    accessibilityState?: AccessibilityState;
    accessibilityActions?: ReadonlyArray<AccessibilityActionInfo>;
    accessibilityDescribedBy?: React_2.RefObject<any>;
    accessibilityLabeledBy?: React_2.RefObject<any>;
};

// Warning: (ae-forgotten-export) The symbol "IButtonWin32State" needs to be exported by the entry point typings-index.d.ts
//
// @public
export class ButtonWin32 extends React_2.Component<IButtonWin32Props, IButtonWin32State> {
    constructor(props: IButtonWin32Props);
    // (undocumented)
    render(): JSX.Element;
    }

// @public (undocumented)
export type ButtonWin32OmitStyles = RN.TextStyleIOS & RN.TextStyleAndroid;

// @public
export const ColorGradientWin32: (
    gradientColor: GradientColorValueWin32,
  ) => any;

// @public (undocumented)
export type Cursor = 'auto' | 'default' | 'pointer' | 'help' | 'not-allowed' | 'wait' | 'move' | 'nesw-resize' | 'ns-resize' | 'nwse-resize' | 'we-resize' | 'text';

// @public (undocumented)
export enum EventPhase {
    // (undocumented)
    AtTarget = 2,
    // (undocumented)
    Bubbling = 3,
    // (undocumented)
    Capturing = 1,
    // (undocumented)
    None = 0
}

// @public (undocumented)
export class FocusManager {
  // (undocumented)
  static focus(ref: React_2.Ref<any>, setWindowFocus: boolean): void;
}

// @public
export type GradientColorStop = {
  color: string /*ColorValue*/ | number /*ProcessedColorValue*/;
  offset: 0 | 1;
};

// @public
export type GradientColorValueWin32 = {
  gradientDirection: 'ToBottom' | 'ToTop' | 'ToRight' | 'ToLeft';
  colorStops: GradientColorStop[];
};

// @public (undocumented)
export interface IButtonWin32Props extends RN.ButtonProps {
    onBlur?: () => void;
    onFocus?: () => void;
    onMouseEnter?: () => void;
    onMouseLeave?: () => void;
    onTouchEnd?: (event: RN.GestureResponderEvent) => void;
    onTouchStart?: (event: RN.GestureResponderEvent) => void;
    style?: RN.StyleProp<IButtonWin32Style>;
}

// Warning: (ae-forgotten-export) The symbol "Omit" needs to be exported by the entry point typings-index.d.ts
//
// @public (undocumented)
export interface IButtonWin32Style extends Omit_4<RN.TextStyle, ButtonWin32OmitStyles> {
}

// @public
export type IChildAsFunction<T> = (state: T) => React_2.ReactNode;

// @public
export interface IDimensions {
    // (undocumented)
    height: number;
    // (undocumented)
    width: number;
}

// Warning: (ae-forgotten-export) The symbol "PartiallyRequired" needs to be exported by the entry point typings-index.d.ts
//
// @public (undocumented)
export type IHandledKeyboardEvent = PartiallyRequired<INativeKeyboardEvent, 'key'>;

// @public (undocumented)
export type IKeyboardEvent = RN.NativeSyntheticEvent<INativeKeyboardEvent>;

// @public (undocumented)
export interface INativeKeyboardEvent {
    // (undocumented)
    altKey: boolean;
    // (undocumented)
    ctrlKey: boolean;
    // (undocumented)
    eventPhase: EventPhase;
    // (undocumented)
    key: string;
    // (undocumented)
    metaKey: boolean;
    // (undocumented)
    shiftKey: boolean;
}

// @public (undocumented)
export interface IPersonaCoinProps extends ViewProps {
    // (undocumented)
    brandIconSource?: string | IImageSourceProps;
    // (undocumented)
    color?: number;
    // (undocumented)
    disabled?: boolean;
    // (undocumented)
    displayName?: string;
    // (undocumented)
    emailAddress?: string;
    // (undocumented)
    initials?: string;
    // (undocumented)
    onError?: () => void;
    // (undocumented)
    onLoad?: () => void;
    // (undocumented)
    presence: PersonaCoinPresence;
    // (undocumented)
    size: PersonaCoinSize;
    // Warning: (ae-forgotten-export) The symbol "IImageSourceProps" needs to be exported by the entry point typings-index.d.ts
    //
    // (undocumented)
    source?: string | IImageSourceProps;
}

// @public
export interface IPosition {
    // (undocumented)
    left: number;
    // (undocumented)
    top: number;
}

// @public
export type IPressEvent = IResponderSyntheticEvent<{
    changedTouches: IPressEvent[];
    force: number;
    identifier: number;
    locationX: number;
    locationY: number;
    pageX: number;
    pageY: number;
    target?: number;
    timestamp: number;
    touches: IPressEvent[];
}> & GestureResponderEvent;

// @public
export interface IPressInLocation {
    // (undocumented)
    locationX: number;
    // (undocumented)
    locationY: number;
    // (undocumented)
    pageX: number;
    // (undocumented)
    pageY: number;
}

// @public
export type IRenderChild<T> = IChildAsFunction<T> | React_2.ReactNode;

// @public
export type IRenderStyle<T, S> = (state: T) => StyleProp<S>;

// @public
export interface IResponderSyntheticEvent<T> extends NativeSyntheticEvent<T> {
    // (undocumented)
    touchHistory: {
        indexOfSingleActiveTouch: number;
        mostRecentTimeStamp: number;
        numberActiveTouches: number;
        touchBank: ITouchInfo[];
    };
}

// @public
export type ISignal = 'DELAY' | 'RESPONDER_GRANT' | 'RESPONDER_RELEASE' | 'RESPONDER_TERMINATED' | 'ENTER_PRESS_RECT' | 'LEAVE_PRESS_RECT' | 'LONG_PRESS_DETECTED';

// @public
export type IState = 'NOT_RESPONDER' | 'RESPONDER_INACTIVE_PRESS_IN' | 'RESPONDER_INACTIVE_PRESS_OUT' | 'RESPONDER_ACTIVE_PRESS_IN' | 'RESPONDER_ACTIVE_PRESS_OUT' | 'RESPONDER_ACTIVE_LONG_PRESS_IN' | 'RESPONDER_ACTIVE_LONG_PRESS_OUT' | 'ERROR';

// @public
export type IStateConditions = {
    [P in IState]: boolean;
};

// Warning: (ae-forgotten-export) The symbol "Omit" needs to be exported by the entry point typings-index.d.ts
//
// @public (undocumented)
export interface ITextWin32Props extends Omit_3<RN.TextProps, TextWin32OmitTypes>, BasePropsWin32 {
    focusable?: boolean;
    // (undocumented)
    keyDownEvents?: IHandledKeyboardEvent[];
    // (undocumented)
    keyUpEvents?: IHandledKeyboardEvent[];
    onBlur?: (ev: RN.NativeSyntheticEvent<{}>) => void;
    onBlurCapture?: (ev: RN.NativeSyntheticEvent<{}>) => void;
    onFocus?: (ev: RN.NativeSyntheticEvent<{}>) => void;
    onFocusCapture?: (ev: RN.NativeSyntheticEvent<{}>) => void;
    // (undocumented)
    onKeyDown?: (args: IKeyboardEvent) => void;
    // (undocumented)
    onKeyDownCapture?: (args: IKeyboardEvent) => void;
    // (undocumented)
    onKeyUp?: (args: IKeyboardEvent) => void;
    // (undocumented)
    onKeyUpCapture?: (args: IKeyboardEvent) => void;
    // @deprecated
    textStyle?: TextStyle;
    tooltip?: string;
}

// @public (undocumented)
export interface ITouchableWin32Props extends IViewWin32Props {
    // (undocumented)
    children?: IRenderChild<ITouchableWin32State>;
    // (undocumented)
    disabled?: boolean;
    filterKeys?: (str: string) => boolean;
    // (undocumented)
    onLongPress?: () => void;
    // (undocumented)
    rejectResponderTermination?: boolean;
    // (undocumented)
    renderStyle?: IRenderStyle<ITouchableWin32State, ViewStyle>;
    // (undocumented)
    touchableGetHighlightDelayMS?: () => number;
    // (undocumented)
    touchableGetHitSlop?: () => Insets;
    // (undocumented)
    touchableGetLongPressDelayMS?: () => number;
    // (undocumented)
    touchableGetPressOutDelayMS?: () => number;
    // (undocumented)
    touchableGetPressRectOffset?: () => Insets;
    // (undocumented)
    touchableHandleActivePressIn?: (e: IPressEvent) => void;
    // (undocumented)
    touchableHandleActivePressOut?: (e: IPressEvent) => void;
    // (undocumented)
    touchableHandleKeyPress?: (e: IKeyboardEvent) => void;
    // (undocumented)
    touchableHandleKeyPressDown?: (e: IKeyboardEvent) => void;
    // (undocumented)
    touchableHandleLongPress?: (e: IPressEvent) => void;
    // (undocumented)
    touchableHandlePress?: (e: IPressEvent) => void;
    // (undocumented)
    touchSoundDisabled?: boolean;
}

// @public (undocumented)
export interface ITouchableWin32State {
    // (undocumented)
    isFocused: boolean;
    // (undocumented)
    isHovered: boolean;
    // (undocumented)
    isPressed: boolean;
}

// @public
export interface ITouchInfo {
    // (undocumented)
    currentPageX: number;
    // (undocumented)
    currentPageY: number;
    // (undocumented)
    currentTimeStamp: number;
    // (undocumented)
    previousPageX: number;
    // (undocumented)
    previousPageY: number;
    // (undocumented)
    previousTimeStamp: number;
    // (undocumented)
    startPageX: number;
    // (undocumented)
    startPageY: number;
    // (undocumented)
    startTimeStamp: number;
    // (undocumented)
    touchActive: boolean;
}

// Warning: (ae-forgotten-export) The symbol "ISignalTransitions" needs to be exported by the entry point typings-index.d.ts
//
// @public
export type ITransitions = {
    [P in IState]: ISignalTransitions;
};

// @public (undocumented)
export interface IViewWin32 {
    // (undocumented)
    focus: () => void;
}

// Warning: (ae-forgotten-export) The symbol "Omit" needs to be exported by the entry point typings-index.d.ts
//
// @public
export interface IViewWin32Props extends Omit_2<RN.ViewProps, ViewWin32OmitTypes>, BasePropsWin32 {
    // (undocumented)
    accessibilityActions?: ReadonlyArray<AccessibilityActionInfo>;
    accessibilityAnnotation?: AccessibilityAnnotationInfo;
    accessibilityDescription?: string;
    // (undocumented)
    accessibilityLevel?: number;
    // (undocumented)
    accessibilityPositionInSet?: number;
    // (undocumented)
    accessibilitySetSize?: number;
    // (undocumented)
    animationClass?: string;
    // (undocumented)
    children?: React_2.ReactNode;
    // (undocumented)
    cursor?: Cursor;
    // (undocumented)
    focusable?: boolean;
    // (undocumented)
    keyDownEvents?: IHandledKeyboardEvent[];
    // (undocumented)
    keyUpEvents?: IHandledKeyboardEvent[];
    onBlur?: (ev: RN.NativeSyntheticEvent<{}>) => void;
    onBlurCapture?: (ev: RN.NativeSyntheticEvent<{}>) => void;
    onFocus?: (ev: RN.NativeSyntheticEvent<{}>) => void;
    onFocusCapture?: (ev: RN.NativeSyntheticEvent<{}>) => void;
    // (undocumented)
    onKeyDown?: (args: IKeyboardEvent) => void;
    // (undocumented)
    onKeyDownCapture?: (args: IKeyboardEvent) => void;
    // (undocumented)
    onKeyUp?: (args: IKeyboardEvent) => void;
    // (undocumented)
    onKeyUpCapture?: (args: IKeyboardEvent) => void;
    // (undocumented)
    onMouseEnter?: () => void;
    // (undocumented)
    onMouseLeave?: () => void;
    tooltip?: string;
    // (undocumented)
    type?: React_2.ElementType;
}

// @public (undocumented)
export type OmittedAccessibilityPropsWin32 = {
    accessibilityActions?: ReadonlyArray<RN.AccessibilityActionInfo>;
    accessibilityRole?: RN.AccessibilityRole;
    accessibilityState?: RN.AccessibilityState;
};

// @public (undocumented)
export const PersonaCoin: React_2.FunctionComponent<IPersonaCoinProps>;

// @public (undocumented)
export enum PersonaCoinPresence {
    // (undocumented)
    away = 1,
    // (undocumented)
    blocked = 2,
    // (undocumented)
    busy = 3,
    // (undocumented)
    doNotDisturb = 4,
    // (undocumented)
    none = 0,
    // (undocumented)
    offline = 5,
    // (undocumented)
    online = 6,
    // (undocumented)
    oof = 7
}

// @public (undocumented)
export enum PersonaCoinSize {
    // (undocumented)
    extraExtraLarge = 5,
    // (undocumented)
    extraLarge = 4,
    // (undocumented)
    extraSmall = 0,
    // (undocumented)
    large = 3,
    // (undocumented)
    normal = 2,
    // (undocumented)
    small = 1
}

// @public (undocumented)
export type SharedAccessibilityPropsIOSandWin32 = {
    onAccessibilityTap?: () => void;
};

// @public (undocumented)
export type SharedTextPropsAndroidandWin32 = {
    selectable?: boolean;
};

// @public
export type TextStyle = 'None' | 'SmallStandard' | 'SmallSecondary' | 'MediumStandard' | 'MediumSecondary' | 'MediumApp' | 'MediumBold' | 'MediumBoldApp' | 'LargeStandard' | 'LargePlusStandard' | 'ExtraLargeStandard' | 'HugeStandard';

// @public (undocumented)
export class TextWin32 extends React_2.Component<ITextWin32Props, {}> {
    constructor(props: ITextWin32Props);
    // (undocumented)
    render(): JSX.Element;
}

// @public (undocumented)
export type TextWin32OmitTypes = Omit_3<RN.TextPropsAndroid, SharedTextPropsAndroidandWin32> & RN.TextPropsIOS & RN.AccessibilityPropsAndroid & Omit_3<RN.AccessibilityPropsIOS, SharedAccessibilityPropsIOSandWin32> & OmittedAccessibilityPropsWin32;

// Warning: (ae-forgotten-export) The symbol "IInternalTouchableWin32State" needs to be exported by the entry point typings-index.d.ts
//
// @public
export class TouchableWin32 extends React_2.Component<ITouchableWin32Props, IInternalTouchableWin32State> {
    constructor(props: any);
    // (undocumented)
    componentWillUnmount(): void;
    // (undocumented)
    focus: () => void;
    // (undocumented)
    render(): JSX.Element;
    }

// @public
export type UseFrom<TOrigin, TUse, Key extends keyof TUse> = Pick<TOrigin, Exclude<keyof TOrigin, Key>> & Pick<TUse, Key>;

// @public (undocumented)
export const ViewWin32: React_2.ForwardRefExoticComponent<IViewWin32Props & React_2.RefAttributes<any>>;

// Warning: (ae-forgotten-export) The symbol "ViewWin32Type" needs to be exported by the entry point typings-index.d.ts
//
// @public (undocumented)
export type ViewWin32 = ViewWin32Type;

// @public (undocumented)
export type ViewWin32OmitTypes = RN.ViewPropsAndroid & RN.ViewPropsIOS & RN.AccessibilityPropsAndroid & Omit_2<RN.AccessibilityPropsIOS, SharedAccessibilityPropsIOSandWin32> & OmittedAccessibilityPropsWin32;


```
